<template>
  <div>
    <Chart :cdata="cdata" />
  </div>
</template>

<script>
import axios from "@/api/ajax.js"
import Chart from "./chart.vue";
export default {
  data() {
    return {
      cdata: {
        xData: ["空货位", "锁定货位", "有货货位"],
        seriesData: [
          { value: 600, name: "空货位" },
          { value: 1000, name: "锁定货位" },
          { value: 1000, name: "有货货位" },
        ],
      },
      isSetinterval:true
    };
  },
  components: {
    Chart,
  },
  mounted() {
    this.getLocationlist();
  },
  methods: {
    getLocationlist(){
      axios.post("http://192.168.2.51:9290/api/Task/LEDloctionList ", null, "").then((res)=>{
              // axios.post("http://127.0.0.1:9290/api/Task/LEDloctionList ", null, "").then((res)=>{
        if(res.data.status){
          var data=res.data.data;
          this.cdata.seriesData=[];
          data.areaProduct.forEach(x=> {
            if(x.name!="总货位"){
              this.cdata.seriesData.push(
                { 
                  value: x.count,
                  name: x.name 
                }
              )
            }
          });
          if(this.isSetinterval){
            setInterval(() => {
              this.getLocationlist();
              this.isSetinterval=false;
            }, 5000);
          }
        }
      })
    }
  }
};
</script>

<style lang="scss" scoped>
</style>